package com.fundi.framework.common.helpers;

/*
 *  Common Services Library - Framework plug-in.
 *  (C) Copyright Fundi Software 2011, 2016.  Fundi Confidential.
 *  All rights reserved.  Use, duplication or disclosure restricted. 
 */

import com.fundi.framework.common.displaylist.DisplayList;
import com.fundi.framework.common.displaylist.ListLayoutV1;

public interface IListLayoutHelper {

	//Eye catchers.
	public static final String EC_COPYRIGHT = "(C) Copyright 2011, 2016 Fundi Software.  Fundi Confidential."; //$NON-NLS-1$
	public static final String EC_APAR = "3.1.1.00_00014"; //$NON-NLS-1$
	public static final String EC_FMID = "H30SA10"; //$NON-NLS-1$
	public static final String EC_PID = "5655-CSL"; //$NON-NLS-1$

	public ListLayoutV1 get(String layoutIndex);
	public void 		set(DisplayList list);
	
	public ListLayoutV1 load(String layoutIndex);
	public ListLayoutV1 load(DisplayList list);
	public void 		loadAll();
	public ListLayoutV1 loadFromSnapshot(String layoutIndex, byte[] xml);
	public void 		save(String layoutIndex);
	public void 		saveAll();
	public byte[] 		saveToSnapshot(String layoutIndex);
	public void 		delete(String layoutIndex);
	public ListLayoutV1 resetLayout(String layoutIndex, DisplayList list);
}
